<mat-toolbar class="h-100">
  <div class="d-flex flex-row justify-content-between align-items-center flex-grow-1">
    <div class="font-bold">
      <div>
        <img src="assets/images/logo/simpl-logo.svg" alt="simpl-logo">
      </div>
    </div>
    <div class="d-flex flex-row gap-2 align-items-center">
      <nav class="navbar navbar-expand-sm" *ngIf="isLoggedIn">
        <ul class="nav navbar-nav">
          <ng-container *ngFor="let item of navItems">
            <li
              *ngIf="isVisible(item.roles)"
              class="nav-item"
              [ngClass]="{ 'dropdown': item.children }"
            >
              <a
                class="nav-link text-white"
                routerLinkActive="active"
                [attr.data-toggle]="item.children ? 'dropdown' : null"
              >
                {{ item.label }}
              </a>
              <ul *ngIf="item.children" class="dropdown-menu">
                <ng-container *ngFor="let child of item.children">
                  <li *ngIf="isVisible(child.roles)"
                      class="dropdown-item">
                    <a
                      class="text-dark"
                      [routerLink]="[child.route]"
                      routerLinkActive="active"
                    >
                      {{ child.label }}
                    </a>
                  </li>
                </ng-container>

              </ul>
            </li>
          </ng-container>

        </ul>
      </nav>
      <div >
        <button mat-icon-button [matMenuTriggerFor]="menu">
          <mat-icon>account_circle</mat-icon>
        </button>
        <mat-menu #menu="matMenu" >
          <button mat-menu-item (click)="logOut()" *ngIf="isLoggedIn">
            <mat-icon>logout</mat-icon>
            <span>Logout</span>
          </button>
          <button mat-menu-item (click)="logIn()" *ngIf="!isLoggedIn">
            <mat-icon>login</mat-icon>
            <span>Login</span>
          </button>
        </mat-menu>
      </div>
    </div>
  </div>
</mat-toolbar>
<router-outlet></router-outlet>
